"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SitecoreContext = void 0;
const vue_1 = require("vue");
exports.SitecoreContext = (0, vue_1.defineComponent)({
    props: {
        componentFactory: {
            type: Function,
            default: undefined,
        },
    },
    setup(props, context) {
        (0, vue_1.provide)('injectedComponentFactory', props.componentFactory);
        return () => context.slots && context.slots.default();
    },
});
